iki-git-hook-update(1)

NAME
iki-git-hook-update - ikiwiki-hosting git update hook

SYNOPSIS
iki-git-hook-update

DESCRIPTION
This program is installed by ikisite as the git update hook for ikiwiki git repositories. It allows trusted sources to commit any change, while limiting commits from untrusted sources to prevent them making arbitrary new branches, or making unsafe changes to the site's setup branch.

SEE ALSO

ikisite(1)

AUTHOR
Joey Hess <joey@ikiwiki.info>